package com.sptg.device.biz.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.sptg.common.core.beans.ResultBean;
import com.sptg.device.api.dto.DeviceOptionsDto;
import com.sptg.device.api.entity.DeviceOptions;
import com.sptg.device.api.entity.DeviceTemplate;

import java.util.List;

public interface DeviceOptionsServiceInterface extends IService<DeviceOptions> {
    
    /**
     * 添加设备配置
     * @param deviceOptionsDto 设备配置
     * @return Boolean
     */
    Boolean add(DeviceOptionsDto deviceOptionsDto);

    /**
     * 修改设备配置
     * @param deviceOptionsDto 设备配置
     * @return Boolean
     */
    Boolean edit(DeviceOptionsDto deviceOptionsDto);

    /**
     * 删除设备配置
     * @param deviceOptionsDto 设备配置
     * @return Boolean
     */
    Boolean deleteOptions(DeviceOptionsDto deviceOptionsDto);
    Boolean deleteByOptionsId(Long id);

    /**
     * 根据设备序列号获取记录
     * @param serialNumber 设备序列号
     * @return DeviceOptions
     */
    DeviceOptions getBySerialNumber(String serialNumber);

    /**
     * 根据设备id获取记录
     * @param deviceId 设备序列号
     * @return DeviceOptions
     */
    DeviceOptions getByDeviceId(Long deviceId);

    /**
     * 获取一条记录
     * @param deviceOptionsDto 设备配置
     * @return DeviceOptions
     */
    DeviceOptions getOne(DeviceOptionsDto deviceOptionsDto);
}
